\documentclass[conference]{IEEEtran}

\input{utils}

% nice technique to find faulty characters easily
%\DeclareUnicodeCharacter{241E}{*********}
%\font\nullfont=cmr10

\addbibresource{qrmbib.bib}

\begin{document}

%\title{Task-based write replicating mechanism applied to scalable stencil algorithms}
\title{Redundant computations in task-based parallelism with applications
to communication-reducing algorithms}

\author{
\IEEEauthorblockN{Emmanuel Agullo}
%\IEEEauthorblockA{Institut National de Recherche en Informatique et en
%Automatique
\IEEEauthorblockA{INRIA
\\ 200 Avenue de la Vieille Tour, 33405 Talence}
\and
\IEEEauthorblockN{Alfredo Buttari}
%\IEEEauthorblockA{Centre National de la Recherche Scientifique
\IEEEauthorblockA{CNRS
\\ 2 Rue Charles Camichel, 31071 Toulouse}
\and
\IEEEauthorblockN{Abdou Guermouche}
%\IEEEauthorblockA{Laboratoire Bordelais de Recherche en Informatique \\
\IEEEauthorblockA{LaBRI\\
200 Avenue de la Vieille Tour, 33405 Talence}
\and
\IEEEauthorblockN{Antoine Jego}
\IEEEauthorblockA{LIP6 -- LIP \\46 Allée d'Italie, 69364 Lyon}% 4 Place Jussieu, 75005 Paris}
}

\maketitle

\begin{abstract}
  Task-based runtime systems offer productive programming models to
  develop applications that can efficiently exploit modern
  supercomputers. On the other hand, the high-level of hardware
  concurrency available on these machines led the community to develop
  new algorithms trading-off redundant computations with
  communications, often referred to as ``communication-reducing'' or
  ``communication-avoiding'' algorithms. Designing such algorithms on
  top of task-based runtime systems turns out to be challenging
  without specific support in the programming model. This article
  proposes an extension of the Sequential Task Flow (STF) programming
  model aiming at maintaining its elegance and productivity when
  dealing with redundant computation. The proposed extension is
  implemented in the StarPU runtime system. We assess our proposal
  with two widely used algorithms involving redundant computations
  arising from dense matrix factorization and stencil computation,
  respectively. We show that these complex algorithms can be written
  in a compact, data and architecture-agnostic way while ensuring
  high-performance on up to 256 computational nodes.
\end{abstract}

\begin{IEEEkeywords}
  Task-Based programming, Redundant computation, Runtime System,
  Stencil, Cholesky factorization, Communication-Avoiding
\end{IEEEkeywords}

\input{introduction}
\input{background}
\input{replication}
\input{stencil}
\input{cholesky}
\input{conclusion}
\printbibliography

\end{document}


%%% Local Variables:
%%% mode: latex
%%% TeX-master: t
%%% TeX-command-extra-options: "-shell-escape --enable-write18 --synctex=1"
%%% jinx-languages: "en"
%%% End:
